Introduction

What's new in loopTRAX 2

Definition

Main Windows

Quick start

Interface

FAQ


Introduction

LoopTRAX is shareware.

For the installation, LoopTRAX needs Directx 6.1 (or more) and Directx Media 6.0 (or more).

For midi use, we advise Directx 7 or more

LoopTRAX is compatible with Microsoft Windows 95/98/ME and NT2000.

LoopTRAX main Features

  • Use all samples sound files : mp3, wav, aiff, au ...
  • Use midi files
  • Use the DirectX Sound and Directx Midi drivers (WDM synthetiser)
  • Midi controlable
  • Synchronize midi and audio samples
  • Loop audio samples and midi sequence
  • Set number of loops
  • Affect sound and midi files to pc keyboard keys and midi key
  • Realtime quantization
  • Sequencer
  • Record a song
  • Save the whole song in wave file (mix only samples sound files not midi files)
  • Realtime time stretch with 2 options : no changing pitch or changing pitch
  • Adjust tempo for the whole song in real time
  • Audio effects
  • Estimation of tempo for loops samples
  • Manage unlimited number of midi devices
  • Manage 4 directx sound drivers
  • Drag and drop from windows folders to piano view or media view
  • Drag and drop from media view to piano view to affect samples or midi
  • Display samples wave forms
  • 4 views : piano, media, event, grid (timeline)
  • Real-time sampling from MixVibes for real-time frame and parts
  • Edit wave form
  • Skins

The best companion to MixVibes


Whatsnew2

What's new in version 2

- Skins

- Customizable number of octave

- Real-time sampling directly from MixVibes PRO for frames or parts

- Edit WaveForm

- Active note and keyboard shortcut

- Solo Buttons

- Pitch Bend

- Better time stretching without changing pitch (for enough quality between -10% to +10%)

- Better effects for Filter, and new effect reverse

- better realtime

- better midi managment

1) Skins

syntax is similar than for mixvibes

there are 3 headers :

%MAIN

%PIANO

%BITMAPDEF

%MAIN describes views

there are 4 views

:PIANO

you can define the number of octace, height for this view, colors

:MEDIA :EVENT :TIMELINE

you can define only colors for these views

:FONT

font definition

%PIANO describes the only garphical view

:SUPPORT top of piano keyboard

:NOTEBORDER border for drawing note

:NOTE where begin note
:WHITE size and color for white note
:BLACK size and color for white note

fields for each note

if you set -1 for x for the fields folowing then field will be aligned to first note

:LEVEL
:MUTE
:SOLO
:ACTIVE
:VOL
:PAN
:LOOP
:HOLD
:SYNC

field in relation for active note

:PITCHBEND
:NOTE+
:NOTE-

2) Customizable number of octave

in the field %PIANO you can set the number of octave in the example: 4

// N/A N/A N/A Piano
// Height octave
:PIANO x x x x x 4

3) Real-time sampling directly from MixVibes PRO for frames or parts

you can copy frame in real-time or parts

right click in mixvibes mixer channel and choose menu "LoopTrax"->"Send Frame" or "Send Song"

you can also use the loopTrax button in the mixer or keybaord shortcut TAB

mixvibes2looptrax.jpg (53294 octets)

There are some options setting how loopTRAX react when receive real-time frame see in loopTRAX menu "File"->"Options"

mixvibes2looptraxoptions.gif (2064 octets)

4) Edit WaveForm

editmenu.gif (10592 octets)

you can select part of the wave form, do a crop, apply effects only in this part, copy/cut/paste

if you select no region, the effect will apply to all the wave form

5) Active note and keyboard shortcut

if you include :ACTIVE field (%PIANO) in the skin, there will be an active note (see red led)

active.jpg (4335 octets)

the pitch bend button and all keybaord shortcut will be apply to the active note

Keyboard shortcut

ENTER | Play 1 time
SPACE | Play Loop
BACKSPACE | Stop
LEFT/RIGHT | Change active note
UP/DOWN | Pitch Bend
HOME/END | volume max/min
PGUP/PGDN | volume +/-
/(divide) *(mul) | pan left or right

the second button click of the mouse will stop media

the keybaord shortcut will be set if the piano view is active and you don't select a slider or knob

if a slider or a knob is selected then keyboard apply to this control

6) Solo Buttons

A solo has been add

7) Pitch Bend

A pitch bend can affect the active note (work also with the pitch bend of midi keybard on last note pressed in the midi keyboard)


Definition

Media

Event

Beat and Time

Groups

Media

A media represents a sound file or midi file with all its information : full path (directory + file name), name, tempo, number of beats, PC key and midi note, start and end location, color, volume, pan, loop, audio or midi drivers.

Event

A song is composed of events.

An event is defined with:

Media associated,
Type (play/stop/volume/pan),
Start time in beats or in time ms,
Duration in beats or in time ms.

There are 4 types of event :

Event PLAY
Event STOP
Event VOLUME
Event Pan

Beat and Time

Time in ms for the event start or duration are noted :

either in ms
either in MM:SS.mmm MM:minute SS:secondes mmm: thousandths of sec.

beats are noted :

either in a total number of beat
either in Measure.Beat.mmm

Measure: number of 4 beats
Beat: number of beat inside mesure
mmm: relative time in the beat in ms

For example: 3.1.250 in 4/4 represents the 13th beat + a double eighth note

The value of relative time (mmm) for:

eighth note = 500 (ms)
double eighth note = 250 (ms)

Groups

You can group items (media or events) to apply operations for a whole of items.

In Media view or Event view you can use multi selection (works as windows folder multi selection for files).
In Piano view, you can drag and drop many media in the piano note.

These operations can be processed with group :
- Play/Stop
- Delete
- Edit

LoopTRAX
Copyright © MIXVIBES 1999 All rights reserved


Quick Start

Add Media (samples or midi)
Select a file
Time Stretch
Media Groups
Play a media
Drag and drop
Media View
Piano View
Event View
Grid View

Add a media

To add a samples, there are 2 methods:

Use the Add command (main menu or contextual menu with mouse right click)

Drag and Drop sound files (wav, mp3, au, aif, mid ...) from Windows folders to media view or paino view.

Information on a media

File : sound file (full path)

Name for the media

Tempo: tempo (the program estimate automatically the tempo and number of beats)

Nb Beats: a number of beats of the media

PC key: keyboard PC activating the media

Midi key: midi note key activating the media C1 first note, C#1 second note...

Color: color of the media it is the color of the bar displayed in the Grid View

File Location Offset: position inside the media in ms to start the load of the media.
File Location End: position to end loading the media in ms.
The last field informs on the length of the file.
Set an offset or an end can be useful in several cases:

Your samples can have silence at the beginning and you do not want to load it
You want the 4 first or last beats of your samples
...

TimeStretch varies the tempo for samples media with the main tempo. TimeStretch exist only for samples not for midi. The tempo for midi media is updated with the main tempo without need of timestrech.
No: no time stretch
Note: time stretch by respecting the note (no changing the pitch of the samples)
Sustain: time stretch sustain
tempo: time stretch by changing the pitch
Volume: media volume

Pan: media pan

Loop: the first box indicates if the media loops or not and Nb indicates the number of loops to be done
cont. indicates the loop will be continuous.
Sustain indicates that the key up (pc keyboard or midi key) don't stop the media
Driver for sound or midi

Select a file : Select button

The Select button allows you to select a sound file in your hard drives.
When you click a file, the program indicates :

the format : codec, 8 or 16 bits, sampling
size of the file and time in ms
and an estimation for the tempo and number of beats

If the box Auto Play then the selected file will be played.

Time Stretch

Time Stretch makes it possible to vary the tempo of a media with the main tempo of the song without
changing the pitch of the media.
Change tempo of the song (when pushing the button calcul Tempo of Settings Toolbar )
will be done in real time.

Media Groups

You can multi select media in the media view (as Windows folders) or by drag and drop media from media view to piano view in a same note. A note in piano view can accept more than 1 media. Then all media grouped will be synchronized when playing.

Play a media

To play a media, there are 6 ways :

  • Click a note in piano view to play / stop

  • When Piano view is selected and the mouse cursor is on a note, press key Space to play, key Back to Stop

  • Double click a media in Media view (play/stop)

  • When media is selected in Media view, press key Space to play, key Back to Stop

  • Press the PC keyboard associated to the media

  • Press the midi key associated to the media

  • In the Wave Form window, Click the mouse to play / stop a media (only samples)

Drag and drop

Windows folder to Piano view note. you can select and drop more than 1 file to a note.

Windows folder to Media view. You can drop more than 1 file into Media View.

Media view to Piano View, 1 media will be dropped only.
You can also drag and drop inside the Media view to change the position of the media in the list.

Media View

The Media View displays all media.

2 kinds of display :
In List for displaying maximum number of media
In Report for displaying all details of a media

You can remove the view in reducing the size of the view and display back with menu window command.

Piano View

The Piano view displays a midi keyboard with 3 octaves beginning with C1 note.

Each note can receive 1 or more media by drag and drop media from media view to piano view. Then you can group media in a note.

Each note has a volume, pan slider control and a led for mute (red led).

the 2 buttons in black support are the same than loop and sustain when editing a media.

Event View

The Event view displays all events.

Grid View

The Grid view displays all event in time line form

LoopTRAX
Copyright © MIXVIBES 1999 All rights reserved


windows

Controls Bar

3 control bars:

The command bar contains the commands from left to right:

New : new document
Open : open a document
Save: save a document
Play Song : to play a song
Stop Song : to stop a song
Recording Mode
Reset
Volume of the selected media
Pan of the selected media

The Settings bar contains the commands from left to right:

Quantization ON/OFF
Quantization Type
Beat for a quantization
Display in musical notation
Display in unit of time ms
Follow: follow the evolution for the cursor in the Event and Grid Views
Display in a number of bar: defines the size of the Event in Grid View
Loop
Begin song location for loop
End song location for loop
Set all media tempo folowing the main tempo
Main tempo of the song

The move bar

Begin song
End song
Move Control

Status bar

Cursor

Selected Media

Selected Event

Memory occupied by all media loaded

Record Mode

Views

4 views of the programs :

The Media View

The Piano View

The Event View

The Grid View

LoopTRAX
Copyright © MIXVIBES 1999 All rights reserved


FAQ

Install doesn't work ?
if installation program (install.exe) doesn't work, run looptrax.exe. Only this file is neccessary to run looptrax.
If you want later clean the registry, you will execute uninstall.exe.

How can I have many audio ports ?
LoopTRAX can manage until 4 directx audio cards. You can install a new audio card in your pc. The audio card has to be directx compatible (certified directx driver). If your PC has USB ports and works with Windows 98 or NT 2000, you can also connect usb speakers. USB audio is managed like a directx audio card. You can have more than 1 USB audio port.

I listen some trigger sound when playing any file ?
The problem could come from your directx installation. To test your directx configuration you can download the Microsoft directx diagnostic utility.

No mp3 files can play ? mp3 duration are too long ? wma files cannot play ?
You have not installed a recent version of media player. Last version is 6.4 (09/09/99)
Download Microsoft Media Player.


LoopTRAX Interface

the interface file begin always with this line : <LoopTrax Config>

// indicate a comment.

HEADING

A heading begins with the caracter % (ex %MIXER)

There are 4 headings :

  • %INTERFACE : interface description (author name ...)
  • %MAIN : description of main data like fonts, mediabase, piano, event, timeline
  • %PIANO : piano description
  • %BITMAPDEF : internal bitmap description

    • Inside each heading, you will find fields.

    A field begins with the caracter : (ex :FONT)

    there are 3 special fields :

  • :TEXT
  • :BORDER
  • :BITMAP

    • These special fields could be found in many headings and multiple.

    Others fields are unique for each heading.

    THE GENERAL SYNTAX FOR OTHER FIELDS

    x,y | coordinates inside the window in pixels
w | field width in pixels
h | field height in pixels
font | font number (1 to 5)
opt | option (depend of the field)
ct | color for text or border in RGB(red,green,blue)
cb | color for backgound in RGB(red,green,blue)
co | other color in RGB(red,green,blue) (depend of the field)
tooltips | tooltips

    :TEXT

    the syntax is : x y w h font color text

    color is the color for the text. Text have no background color. There are drawn transparently.

    text is define inside " "

    :BORDER

    the syntax is : x y w h color_border color_back

    if color_back = -1 then there is no background color drawn

    if color_border= -1 then there is no border drawn

    :BITMAP

    the syntax is : x y width height option transparent_color file

    there are 4 options

  • option 0 : normal
  • option 1 : fill surface

    • width and height not used yet

    if transparent_color is defined then the bitmap will be drawn transparently : all pixels having the color transparent_color in the bitmap will be replaced with the background color

    HEADING %MAIN

    there are 4 fields.

    :PIANO

    h: height in pixel for the piano view
    opt: #1 activate led animation at startup
    font: octave number (1 to 7)
    ct: color for text
    cb: color for background

    :MEDIA :EVENT :TIMELINE

    ct: color for text
    ct: color for background

    :FONTx

    the syntax is : font_number size style name

    Style are defined as

    • 0= normal

    • 1= bold

    • 2= italic

    • 3= bold+italic

    • 4= vertical

    A maximum of 5 fonts can be defined (number 0 to 4)

    HEADING %PIANO

    This heading describes all controls inside mixer channel.

    You can define until there are 76 fields.

    :NOTEBORDER | note border description : size and colors
:NOTE | note description startup position, font, colors
:WHITE | white note description size, play and stop colors
:BLACK | black note description size, play and stop colors
:LEVEL | level
:MUTE | mute
:SOLO | solo
:ACTIVE | active note
:VOL | vol
:PAN | pan
:LOOP | loop
:HOLD | hold
Single control |
:PITCHBEND | pitchbend
:NOTE+ | move up active note
:NOTE- | move down active note
:ALONE1 | Play alone 1 time
:ALONELOOP | Play alone loop
:PLAY1 | Play 1 time
:PLAYLOOP | Play loop
:STOP | stop
:SEQUENCE | play sequenec

    Options for all sliders or circle knob (vol, pan, pitch bend, bass, mid, treb, gain ...)

    0x1000 define a full bitmap control with 3 bitmaps
    0x2000 define a slider
    0x4000 define a circle knob

    If you define a slider
    #00 horizontal
    #01 vertical
    #02 vectorized
    #04 variable channel
    #10 tick line
    #20 tick line + center
    #30 3 ticks
    #40 1 center Tick

    HEADING %BITMAPDEF

    This heading describes all internal mixvibes bitmap uses for button and sliders

    :BMDirectory "Directory" define in which relative path bitmaps are (ex. "\Program Files\Mixvibes Pro\Directory\")

    The syntax is : Bitmap File name for OFF(unpressed) Bitmap File name for ON(pressed) Transparency color RGB(x,x,x)

    Transparency color RGB(x,x,x) is optionnal. If defined the bitmap will be drawn transparently

    :BMLoop
    :BMHold
    :BMActive
    :BMMute
    :BMSolo
    :BMNote+
    :BMNote-
    :BMPan
    :BMVol
    :BMKeyboard
    :BMPitchBend
    :BMAlone1
    :BMAloneLoop
    :BMPlay1
    :BMPlayLoop
    :BMStop
    :BMSequence


LoopTRAXCopyright

LoopTRAX
Copyright © MIXVIBES 1999 All rights reserved